summaryrefslogtreecommitdiffstats
path: root/14.0
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2012-02-06 20:12:41 +0000
committer Eric Hameleers <alien@slackware.com>2012-02-06 20:12:41 +0000
commit505839b3f5d48b7d1d15513957e8861169969f5e (patch)
treebf91c111246ca0346548e1c02be80a7600417634 /14.0
parent6ce8bc2b7afb5592383677d6678834e51698c520 (diff)
downloadmultilib-505839b3f5d48b7d1d15513957e8861169969f5e.tar.gz
multilib-505839b3f5d48b7d1d15513957e8861169969f5e.tar.xz
Fix an integer overflow in tzfile
Diffstat (limited to '14.0')
-rwxr-xr-x14.0/glibc/glibc-multilib.SlackBuild6
1 files changed, 4 insertions, 2 deletions
diff --git a/14.0/glibc/glibc-multilib.SlackBuild b/14.0/glibc/glibc-multilib.SlackBuild
index cd2cbf7..121830e 100755
--- a/14.0/glibc/glibc-multilib.SlackBuild
+++ b/14.0/glibc/glibc-multilib.SlackBuild
@@ -30,7 +30,7 @@
VERSION=${VERSION:-2.14.1}
CHECKOUT=${CHECKOUT:-""}
-BUILD=${BUILD:-3alien}
+BUILD=${BUILD:-4alien}
## Included in glibc now:
## glibc-libidn version
@@ -197,8 +197,10 @@ apply_patches() {
# Avoid the Intel optimized asm routines for now because they break
# the flash player. We'll phase this in when it's safer to do so.
zcat $CWD/glibc.disable.broken.optimized.memcpy.diff.gz | patch -p1 --verbose || exit 1
- # Upstream fixes to arert Firefox crashes:
+ # Upstream fixes to avert Firefox crashes:
zcat $CWD/glibc-2.14.1-fixes-1.patch.gz | patch -p1 --verbose || exit 1
+ # Fix an integer overflow in tzfile:
+ zcat $CWD/glibc.CVE-2009-5029.diff.gz | patch -p1 --verbose || exit 1
if [ $BOOTSTRP -eq 1 ] ; then
# Multilib - Disable check for forced unwind (Patch from eglibc) since we
# do not have a multilib glibc yet to link to;